JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get screen layout
await box.action.clipboard.set("Hello, world!");
// Print clipboard content
console.log(await box.action.clipboard.get());
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Set clipboard content
box.action.clipboard.set("Hello, world!")
# Print clipboard content
print(box.action.clipboard.get())
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/clipboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Hello, world!"
}
'UI Action
Set clipboard
Set the clipboard content
POST
/
boxes
/
{boxId}
/
actions
/
clipboard
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get screen layout
await box.action.clipboard.set("Hello, world!");
// Print clipboard content
console.log(await box.action.clipboard.get());
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Set clipboard content
box.action.clipboard.set("Hello, world!")
# Print clipboard content
print(box.action.clipboard.get())
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/clipboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Hello, world!"
}
'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Body
application/json
Set the clipboard content
The content to set the clipboard content
Example:
"Hello, world!"
Response
200 - undefined
Was this page helpful?